Bug 55716 - mkinitrd fails using tmpfs
Summary: mkinitrd fails using tmpfs
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-05 16:13 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 03:14:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-11-05 16:13:39 UTC
Description of Problem:
If I mount /tmp using an /etc/fstab entry:
tmp           /tmp         tmpfs   defaults    0 0

Then mkinitrd fails with an error that all loop devices are in use.

Version-Release number of selected component (if applicable):


How Reproducible:
Completely

Steps to Reproduce:
1. Mount /tmp as a tmpfs
2. Run mkinitrd (eg, mkinitrd /boot/initrd.img 2.4.13)
3. Failure

Actual Results:
Error message and no initrd.img file

Expected Results:
initrd.img file should get created.

Additional Information:

Comment 1 Bill Nottingham 2001-11-06 03:14:40 UTC
tmpfs doesn't support itself being backing store for loopback. Until that
changes, don't do that. :)

Comment 2 Arjan van de Ven 2001-11-06 09:59:48 UTC
shmfs (aka tmpfs) indeed doesn't support loopback and other things. using it as
/tmp is also quite risky unless you have plenty of swap.


Note You need to log in before you can comment on or make changes to this bug.